Index: uspace/srv/net/tl/tcp/tcp.c
===================================================================
--- uspace/srv/net/tl/tcp/tcp.c	(revision f772bc551e29a820f0a9d75296f62d516efddb9a)
+++ uspace/srv/net/tl/tcp/tcp.c	(revision 4eca0560ec015aab6080f3c3fec0a783f2977837)
@@ -161,9 +161,9 @@
 
 static int tcp_release_and_return(packet_t, int);
-static void tcp_prepare_operation_header(socket_core_ref, tcp_socket_data_t *,
+static void tcp_prepare_operation_header(socket_core_t *, tcp_socket_data_t *,
     tcp_header_t *, int synchronize, int);
-static int tcp_prepare_timeout(int (*)(void *), socket_core_ref,
+static int tcp_prepare_timeout(int (*)(void *), socket_core_t *,
     tcp_socket_data_t *, size_t, tcp_socket_state_t, suseconds_t, int);
-static void tcp_free_socket_data(socket_core_ref);
+static void tcp_free_socket_data(socket_core_t *);
 
 static int tcp_timeout(void *);
@@ -172,22 +172,22 @@
 
 static int tcp_process_packet(device_id_t, packet_t, services_t);
-static int tcp_connect_core(socket_core_ref, socket_cores_ref,
+static int tcp_connect_core(socket_core_t *, socket_cores_ref,
     struct sockaddr *, socklen_t);
-static int tcp_queue_prepare_packet(socket_core_ref, tcp_socket_data_t *,
+static int tcp_queue_prepare_packet(socket_core_t *, tcp_socket_data_t *,
     packet_t, size_t);
-static int tcp_queue_packet(socket_core_ref, tcp_socket_data_t *, packet_t,
+static int tcp_queue_packet(socket_core_t *, tcp_socket_data_t *, packet_t,
     size_t);
-static packet_t tcp_get_packets_to_send(socket_core_ref, tcp_socket_data_t *);
+static packet_t tcp_get_packets_to_send(socket_core_t *, tcp_socket_data_t *);
 static void tcp_send_packets(device_id_t, packet_t);
 
-static void tcp_process_acknowledgement(socket_core_ref, tcp_socket_data_t *,
+static void tcp_process_acknowledgement(socket_core_t *, tcp_socket_data_t *,
     tcp_header_t *);
-static packet_t tcp_send_prepare_packet(socket_core_ref, tcp_socket_data_t *,
+static packet_t tcp_send_prepare_packet(socket_core_t *, tcp_socket_data_t *,
     packet_t, size_t, size_t);
-static packet_t tcp_prepare_copy(socket_core_ref, tcp_socket_data_t *, packet_t,
+static packet_t tcp_prepare_copy(socket_core_t *, tcp_socket_data_t *, packet_t,
     size_t, size_t);
-/* static */ void tcp_retransmit_packet(socket_core_ref, tcp_socket_data_t *,
+/* static */ void tcp_retransmit_packet(socket_core_t *, tcp_socket_data_t *,
     size_t);
-static int tcp_create_notification_packet(packet_t *, socket_core_ref,
+static int tcp_create_notification_packet(packet_t *, socket_core_t *,
     tcp_socket_data_t *, int, int);
 static void tcp_refresh_socket_data(tcp_socket_data_t *);
@@ -195,13 +195,13 @@
 static void tcp_initialize_socket_data(tcp_socket_data_t *);
 
-static int tcp_process_listen(socket_core_ref, tcp_socket_data_t *,
+static int tcp_process_listen(socket_core_t *, tcp_socket_data_t *,
     tcp_header_t *, packet_t, struct sockaddr *, struct sockaddr *, size_t);
-static int tcp_process_syn_sent(socket_core_ref, tcp_socket_data_t *,
+static int tcp_process_syn_sent(socket_core_t *, tcp_socket_data_t *,
     tcp_header_t *, packet_t);
-static int tcp_process_syn_received(socket_core_ref, tcp_socket_data_t *,
+static int tcp_process_syn_received(socket_core_t *, tcp_socket_data_t *,
     tcp_header_t *, packet_t);
-static int tcp_process_established(socket_core_ref, tcp_socket_data_t *,
+static int tcp_process_established(socket_core_t *, tcp_socket_data_t *,
     tcp_header_t *, packet_t, int, size_t);
-static int tcp_queue_received_packet(socket_core_ref, tcp_socket_data_t *,
+static int tcp_queue_received_packet(socket_core_t *, tcp_socket_data_t *,
     packet_t, int, size_t);
 
@@ -286,5 +286,5 @@
 	int result;
 	tcp_header_t *header;
-	socket_core_ref socket;
+	socket_core_t *socket;
 	tcp_socket_data_t *socket_data;
 	packet_t next_packet;
@@ -492,5 +492,5 @@
 }
 
-int tcp_process_established(socket_core_ref socket, tcp_socket_data_t *
+int tcp_process_established(socket_core_t *socket, tcp_socket_data_t *
     socket_data, tcp_header_t *header, packet_t packet, int fragments,
     size_t total_length)
@@ -800,5 +800,5 @@
 }
 
-int tcp_queue_received_packet(socket_core_ref socket,
+int tcp_queue_received_packet(socket_core_t *socket,
     tcp_socket_data_t *socket_data, packet_t packet, int fragments,
     size_t total_length)
@@ -837,5 +837,5 @@
 }
 
-int tcp_process_syn_sent(socket_core_ref socket, tcp_socket_data_t *
+int tcp_process_syn_sent(socket_core_t *socket, tcp_socket_data_t *
     socket_data, tcp_header_t *header, packet_t packet)
 {
@@ -895,5 +895,5 @@
 }
 
-int tcp_process_listen(socket_core_ref listening_socket,
+int tcp_process_listen(socket_core_t *listening_socket,
     tcp_socket_data_t *listening_socket_data, tcp_header_t *header,
     packet_t packet, struct sockaddr *src, struct sockaddr *dest,
@@ -901,5 +901,5 @@
 {
 	packet_t next_packet;
-	socket_core_ref socket;
+	socket_core_t *socket;
 	tcp_socket_data_t *socket_data;
 	int socket_id;
@@ -1055,8 +1055,8 @@
 }
 
-int tcp_process_syn_received(socket_core_ref socket,
+int tcp_process_syn_received(socket_core_t *socket,
     tcp_socket_data_t *socket_data, tcp_header_t *header, packet_t packet)
 {
-	socket_core_ref listening_socket;
+	socket_core_t *listening_socket;
 	tcp_socket_data_t *listening_socket_data;
 	int rc;
@@ -1122,5 +1122,5 @@
 }
 
-void tcp_process_acknowledgement(socket_core_ref socket,
+void tcp_process_acknowledgement(socket_core_t *socket,
     tcp_socket_data_t *socket_data, tcp_header_t *header)
 {
@@ -1300,5 +1300,5 @@
 	int answer_count;
 	tcp_socket_data_t *socket_data;
-	socket_core_ref socket;
+	socket_core_t *socket;
 	packet_dimension_t *packet_dimension;
 
@@ -1537,5 +1537,5 @@
 	tcp_timeout_t *timeout = data;
 	int keep_write_lock = false;
-	socket_core_ref socket;
+	socket_core_t *socket;
 	tcp_socket_data_t *socket_data;
 
@@ -1613,5 +1613,5 @@
 {
 	tcp_timeout_t *timeout = data;
-	socket_core_ref socket;
+	socket_core_t *socket;
 	tcp_socket_data_t *socket_data;
 	fibril_rwlock_t *local_lock;
@@ -1651,5 +1651,5 @@
 }
 
-void tcp_retransmit_packet(socket_core_ref socket, tcp_socket_data_t *
+void tcp_retransmit_packet(socket_core_t *socket, tcp_socket_data_t *
     socket_data, size_t sequence_number)
 {
@@ -1681,5 +1681,5 @@
     int backlog)
 {
-	socket_core_ref socket;
+	socket_core_t *socket;
 	tcp_socket_data_t *socket_data;
 
@@ -1707,5 +1707,5 @@
     struct sockaddr *addr, socklen_t addrlen)
 {
-	socket_core_ref socket;
+	socket_core_t *socket;
 	int rc;
 
@@ -1732,5 +1732,5 @@
 }
 
-int tcp_connect_core(socket_core_ref socket, socket_cores_ref local_sockets,
+int tcp_connect_core(socket_core_t *socket, socket_cores_ref local_sockets,
     struct sockaddr *addr, socklen_t addrlen)
 {
@@ -1823,5 +1823,5 @@
 }
 
-int tcp_queue_prepare_packet(socket_core_ref socket,
+int tcp_queue_prepare_packet(socket_core_t *socket,
     tcp_socket_data_t *socket_data, packet_t packet, size_t data_length)
 {
@@ -1854,5 +1854,5 @@
 }
 
-int tcp_queue_packet(socket_core_ref socket, tcp_socket_data_t *socket_data,
+int tcp_queue_packet(socket_core_t *socket, tcp_socket_data_t *socket_data,
     packet_t packet, size_t data_length)
 {
@@ -1876,5 +1876,5 @@
 }
 
-packet_t tcp_get_packets_to_send(socket_core_ref socket, tcp_socket_data_t *
+packet_t tcp_get_packets_to_send(socket_core_t *socket, tcp_socket_data_t *
     socket_data)
 {
@@ -1936,5 +1936,5 @@
 }
 
-packet_t tcp_send_prepare_packet(socket_core_ref socket, tcp_socket_data_t *
+packet_t tcp_send_prepare_packet(socket_core_t *socket, tcp_socket_data_t *
     socket_data, packet_t packet, size_t data_length, size_t sequence_number)
 {
@@ -1997,5 +1997,5 @@
 }
 
-packet_t tcp_prepare_copy(socket_core_ref socket, tcp_socket_data_t *
+packet_t tcp_prepare_copy(socket_core_t *socket, tcp_socket_data_t *
     socket_data, packet_t packet, size_t data_length, size_t sequence_number)
 {
@@ -2027,5 +2027,5 @@
 }
 
-void tcp_prepare_operation_header(socket_core_ref socket,
+void tcp_prepare_operation_header(socket_core_t *socket,
     tcp_socket_data_t *socket_data, tcp_header_t *header, int synchronize,
     int finalize)
@@ -2045,5 +2045,5 @@
 
 int tcp_prepare_timeout(int (*timeout_function)(void *tcp_timeout_t),
-    socket_core_ref socket, tcp_socket_data_t *socket_data,
+    socket_core_t *socket, tcp_socket_data_t *socket_data,
     size_t sequence_number, tcp_socket_state_t state, suseconds_t timeout,
     int globals_read_only)
@@ -2094,5 +2094,5 @@
     int flags, size_t *addrlen)
 {
-	socket_core_ref socket;
+	socket_core_t *socket;
 	tcp_socket_data_t *socket_data;
 	int packet_id;
@@ -2152,5 +2152,5 @@
     int fragments, size_t *data_fragment_size, int flags)
 {
-	socket_core_ref socket;
+	socket_core_t *socket;
 	tcp_socket_data_t *socket_data;
 	packet_dimension_t *packet_dimension;
@@ -2227,5 +2227,5 @@
 tcp_close_message(socket_cores_ref local_sockets, int socket_id)
 {
-	socket_core_ref socket;
+	socket_core_t *socket;
 	tcp_socket_data_t *socket_data;
 	packet_t packet;
@@ -2293,5 +2293,5 @@
 }
 
-int tcp_create_notification_packet(packet_t *packet, socket_core_ref socket,
+int tcp_create_notification_packet(packet_t *packet, socket_core_t *socket,
     tcp_socket_data_t *socket_data, int synchronize, int finalize)
 {
@@ -2330,6 +2330,6 @@
     int new_socket_id, size_t *data_fragment_size, size_t *addrlen)
 {
-	socket_core_ref accepted;
-	socket_core_ref socket;
+	socket_core_t *accepted;
+	socket_core_t *socket;
 	tcp_socket_data_t *socket_data;
 	packet_dimension_t *packet_dimension;
@@ -2400,5 +2400,5 @@
 }
 
-void tcp_free_socket_data(socket_core_ref socket)
+void tcp_free_socket_data(socket_core_t *socket)
 {
 	tcp_socket_data_t *socket_data;
